:root {
    --logo_color_blue: #FFB602;
    --logo_color_yellow: #c0392b;
    --logo_color_red: #FFB602;

    --logo_color_yellow_cover: rgba(243,214,0,0.5);

    --default_background: #fefefe;
    --default_font_color: #222628;

    --color_dark: #222628;
    --color_dark_text: #ffffff;
    --color_dark_text_second: #a8a8a8;

    --color_danger: #b64645;
	--color_warning: #fea223;
	--color_success: #95b75d;
	--color_info: #3fbae4;


    --box_shadow: 0 5px 15px 0 rgba(110,110,110,0.25);
    --shadow_border: rgba(110,110,110,0.15);

    --separator-extra-small:8px;
    --separator-small:16px;
    --separator:32px;
    --separator-big:48px;
    --separator-extra-big:64px
}

/* Základní */

* {
    box-sizing: border-box;
}

body {
    margin: 0px;
    padding: 0px;
    background-color: var(--default_background);
    font-family: Arial;
}

a, a:visited {
    color: var(--logo_color_blue);
    text-decoration: none;
    transition: all 0.3s;
}

a:hover {
    color: var(--logo_color_yellow);
    transition: all 0.3s;
}

p {
    line-height: 1.7;
}

h1 {
    display: inline-block;
    position: relative;
    transform: skew(-2deg, -2deg);
}

h1::before, h1::after {
    content: "";
    width: 40%;
    height: 1.5px;
    background-color: var(--default_font_color);
    display: block;
    position: absolute;
}

h2 {
    display: inline-block;
    position: relative;
    transform: skew(-2deg, -2deg);
}

h2::before, h2::after {
    content: "";
    width: 40%;
    height: 1.5px;
    background-color: var(--default_font_color);
    display: block;
    position: absolute;
}

h3 {
    display: inline-block;
    position: relative;
    transform: skew(-2deg, -2deg);
}

h3::before, h3::after {
    content: "";
    width: 40%;
    height: 1.5px;
    background-color: var(--logo_color_blue);
    display: block;
    position: absolute;
}

h1, h2, h3 {
    margin-left: 0.8rem;
    margin-right: 0.8rem;
}

h1::before, h2::before, h3::before {
    left: -0.8rem;
    top: -5px;
}

h1::after, h2::after, h3::after {
    right: -0.8rem;
    bottom: -5px;
}

img {
    max-width: 100%;
    height: auto;
}

.h-line-dark::before, .h-line-dark::after {background-color: var(--default_font_color);}
.h-line-light::before, .h-line-black::after {background-color: var(--color_dark_text);}
.h-line-red::before, .h-line-red::after {background-color: var(--logo_color_red);}
.h-line-blue::before, .h-line-blue::after {background-color: var(--logo_color_blue);}
.h-line-yellow::before, .h-line-yellow::after {background-color: var(--logo_color_yellow);}

.text-light {color: var(--color_dark_text);}
.text-light-second {color: var(--color_dark_text_second);}

.separator-extra-small {margin-top: 8px !important;margin-bottom: 8px !important;}
.separator-extra-small-top {margin-top: 8px !important;}
.separator-extra-small-bottom {margin-bottom: 8px !important;}

.separator-extra-small-p {padding-top: 8px !important;padding-bottom: 8px !important;}
.separator-extra-small-top-p {padding-top: 8px !important;}
.separator-extra-small-bottom-p {padding-bottom: 8px !important;}

.separator-small {margin-top: 16px !important;margin-bottom: 16px !important;}
.separator-small-top {margin-top: 16px !important;}
.separator-small-bottom {margin-bottom: 16px !important;}

.separator-small-p {padding-top: 16px !important;padding-bottom: 16px !important;}
.separator-small-top-p {padding-top: 16px !important;}
.separator-small-bottom-p {padding-bottom: 16px !important;}

.separator {margin-top: 32px !important;margin-bottom: 32px !important;}
.separator-top {margin-top: 32px !important;}
.separator-bottom {margin-bottom: 32px !important;}

.separator-p {padding-top: 32px !important;padding-bottom: 32px !important;}
.separator-top-p {padding-top: 32px !important;}
.separator-bottom-p {padding-bottom: 32px !important;}

.separator-big {margin-top: 48px !important;margin-bottom: 48px !important;}
.separator-big-top {margin-top: 48px !important;}
.separator-big-bottom {margin-bottom: 48px !important;}

.separator-big-p {padding-top: 48px !important;padding-bottom: 48px !important;}
.separator-big-top-p {padding-top: 48px !important;}
.separator-big-bottom-p {padding-bottom: 48px !important;}

.separator-extra-big {margin-top: 64px !important;margin-bottom: 64px !important;}
.separator-extra-big-top {margin-top: 64px !important;}
.separator-extra-big-bottom {margin-bottom: 64px !important;}

.separator-extra-big-p {padding-top: 64px !important;padding-bottom: 64px !important;}
.separator-extra-big-top-p {padding-top: 64px !important;}
.separator-extra-big-bottom-p {padding-bottom: 64px !important;}

.p-extra-small {padding: var(--separator-extra-small);}
.p-small {padding: var(--separator-small);}
.p-default {padding: var(--separator);}
.p-big {padding: var(--separator-big);}
.p-extra-big {padding: var(--separator-extra-big);}
.pt-0 {padding-top: 0 !important;}

#main_menu_logo {
    padding: 0px;
    padding-top: 8px !important;
    padding-bottom: 8px !important;
}

#main_logo {
    height: 60px !important;
}

/* Galerie */

.gallery-item {
    padding: 8px;
    margin: 0px;
}

.gallery-item img {
    border: 0px !important;
    box-shadow: var(--box_shadow);
}

/* Tabulka */

table {
    border-collapse: collapse;
    width: 100%;
}

table td {
    border: 2px solid #ffffff;
    padding: 8px;
}

table tbody tr:nth-child(even) td {
    background-color: #F3F3F3;
}

table tbody tr:nth-child(odd) td {
    background-color: #F9F9F9;
}

/* Mapa */

#mapdiv {
    box-shadow: var(--box_shadow);
}

#mapdiv .olControlAttribution.olControlNoSelect {
    bottom: 0;
    display: none;
}

#mapdiv a.olControlZoomIn.olButton, #mapdiv a.olControlZoomOut.olButton {
    background-color: #fff;
    color: #000;
}

#mapdiv a.olControlZoomIn.olButton:hover, #mapdiv a.olControlZoomOut.olButton:hover {
    background-color: var(--logo_color_blue);
    color: #fff;
}

#mapdiv div.olControlZoom {
    background: transparent;
    box-shadow: var(--box_shadow);
    padding: 0;
}

/* Záhlaví */

#top_menu {
    background-color: var(--color_dark);
    color: var(--color_dark_text_second);
    box-shadow: var(--box_shadow);
    position: fixed;
    border-bottom: 1px solid var(--color_dark);
    height: 50px;
    top: 0px;
    width: 100%;
    z-index: 0;
}

@media(min-width: 783px){
    .admin-bar #top_menu {
        top: 32px;
    }
}

@media(max-width: 782px){
    .admin-bar #top_menu {
        top: 46px;
    }
}

#top_menu strong, #top_menu b, #top_menu a {
    color: var(--color_dark_text);
}

#top_menu a:hover {
    color: var(--logo_color_yellow);
}

.topmenu-link {
    padding: 0px 8px;
}

.topmenu-link:not(:first-of-type){
    border-left: 1px solid rgba(255,255,255,0.55);
}

@media(max-width: 630px){
    #top_menu_p2,#top_menu_p3 {
        display: none;
    }
}

#main_menu {
    background-color: var(--default_background);
    color: var(--default_font_color);
    box-shadow: var(--box_shadow);
    position: fixed;
    width: 100%;
    left: 12px;
    right: 12px;
    top: 49px;
    height: 80px;
    z-index: 99988;
}

.admin-bar #main_menu {
    top: 82px;
}

#main_logo {
    height: 45px;
}

#header_button_wrap {
    display: block;
}

@media(max-width: 868px){
    #main_logo {
        height: 35px;
        padding: 4px;
    }
    .menu-link {
        padding: 0px 10px !important;
    }
}

#header_button {
    display: block;
    background-color: var(--logo_color_blue);
    height: calc(100% + 20px);
    position: relative;
    box-shadow: var(--box_shadow);
    transition: all 0.5s;
    color: var(--color_dark_text);
    font-size: 1.1rem;
    transform: skew(-10deg);
}

#header_button:hover, #header_button.sticky {
    height: 100%;
    transition: all 0.5s;
    color: var(--color_dark_text);
    box-shadow: none;
}

#header_button .vertical_text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) skew(10deg);
    line-height: 1.5rem;
}

@media(max-width: 1120px){
    #header_button_wrap {
        display: none;
    }
}


.menu-link {
    padding: 0 16px;
    position: relative;
    display: inline-block;
    overflow: hidden;
    color: var(--default_font_color) !important;
    top: 6px;
}

.menu-link:hover {
    color: var(--default_font_color);
}

.menu-link::after {
    content: '';
    width: 100%;
    height: 2px;
    background-color: var(--logo_color_yellow);
    display: block;
    transform: skew(-10deg);
    margin-top: 4px;
    position: relative;
    bottom: 0px;
    right: -200%;
    transition: all 0.6s;
}

.menu-link.menu-line-red::after {
    background-color: var(--logo_color_red);
}

.menu-link.menu-line-blue::after {
    background-color: var(--logo_color_blue);
}

.menu-link.active {
    color: var(--logo_color_red);
}

.menu-link:hover::after {
    bottom: 0px;
    right: 0px;
    transition: all 0.6s;
}

#main_content {
    margin-top: 130px;
}

/* Mobilní menu */

#mobile_menu {
    display: none;
}

#mobile_menu_opener {
    display: none;
}

@media(max-width: 768px){
    #main_menu_menu {
        display: none;
    }

    #mobile_menu_opener {
        display: inline-block;
        position: relative;
        width: 40px;
        height: 25px;
        cursor: pointer;
    }

    #mobile_menu_opener.active .mobile_menu_line_1, #mobile_menu_opener.active .mobile_menu_line_2, #mobile_menu_opener.active .mobile_menu_line_3 {
        transition: all 0.3s;
    }

    #mobile_menu_opener.active .mobile_menu_line_1 {
        top: 50%;
        transform: translate(-50%,-50%) rotate(45deg);
    }

    #mobile_menu_opener.active .mobile_menu_line_2 {
        opacity: 0;
    }

    #mobile_menu_opener.active .mobile_menu_line_3 {
        top: 50%;
        transform: translate(-50%,-50%) rotate(-45deg);
    }

    .mobile_menu_line_1, .mobile_menu_line_2, .mobile_menu_line_3 {
        position: absolute;
        width: 100%;
        height: 2px;
        background-color: var(--default_font_color);
        border-radius: 24px;
        transition: all 0.3s;
    }

    .mobile_menu_line_1 {
        top: 0;
        left: 50%;
        transform: translateX(-50%);
    }

    .mobile_menu_line_2 {
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        opacity: 1;
    }

    .mobile_menu_line_3 {
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
    }

    #mobile_menu_wrap {
        display: none;
        background-color: var(--default_background);
        color: var(--default_font_color);
        box-shadow: var(--box_shadow);
        position: fixed;
        left: 0;
        top: 130px;
        z-index: 10;
    }

    #mobile_menu {
        display: flex;
        flex-wrap: wrap;
    }
}

/* Obecné */

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.success {
    color: var(--color_success);
}

.warning {
    color: var(--color_warning);
}

.danger {
    color: var(--color_danger);
}

.box {
	border-radius: 0px;
	box-shadow: var(--box_shadow);
	transition: all 0.3s linear;
	padding: 24px;
	background: rgba(255,255,255,1);
	overflow: hidden;
}

.m-small {
    margin: var(--separator-small);
}

/* Tlačítka */

.btn {
    display: inline-block;
    background-color: var(--logo_color_blue);
    box-shadow: var(--box_shadow);
    transition: all 0.5s;
    color: var(--color_dark_text) !important;
    font-size: 1.1rem;
    transform: skew(-10deg);
    padding: var(--separator-extra-small) var(--separator-small);
    margin: var(--separator-small);
    position: relative;
}

.btn:hover {
    color: var(--color_dark_text);
    transform: skew(-10deg) scale(1.05);
}

.btn-sm {
    padding: var(--separator-extra-small);
    font-size: 0.85rem;
    margin: 0;
}

.btn-lg {
    font-size: 1.2rem;
    padding: var(--separator-small) var(--separator);
}

.btn-block {
    display: block;
    width: 100%;
    height: auto;
}

.btn-info {
    background-color: var(--logo_color_blue);
}

.btn-warning {
    background-color: var(--logo_color_yellow);
}

.btn-danger {
    background-color: var(--logo_color_red);
}

a>.social-icon {
    width: 100%;
    max-width: 55px;
    max-height: 55px;
    opacity: 0.8;
    transition: all 0.3s;
}

a:hover>.social-icon {
    opacity: 1;
    transform: scale(1.1);
    transition: all 0.3s;
}

/* Struktura stránky */

.main-title {
    background-position: center center;
    background-size: cover;
}

.top-banner, .main-title {
    box-shadow: var(--box_shadow);
}

.top-banner {
    transform: skewY(-2deg);
    margin-top: -24px;
    overflow: hidden;
}

.top-banner-content {
    transform: skewY(2deg);
    display: block;
    position: relative;
    bottom: -8px;
}

/* Blog */

.blog-post {
    text-align: center;
}

.blog-post h2 {
    font-size: 1.2rem;
    font-weight: 100;
    color: var(--default_font_color);
    transition: all 0.3s;
}

.blog-post h2:hover {
    color: var(--logo_color_red);
    transition: all 0.3s;
}

.blog-post p {
    font-size: 0.9rem;
    margin-top: var(--separator-small);
    margin-right: var(--separator-small);
    margin-bottom: 0;
    margin-left: var(--separator-small);
}

.blog-image {
    background-color: var(--logo_color_blue);
    display: block;
    overflow: hidden;
    width: 100%;
    height: auto;
    position: relative;
}

.blog-image::after {
    content: "";
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 0;
    width: 40px;
    height: 40px;
    background-image: url("../img/zoom.svg");
    background-size: cover;

}

.blog-image>img {
    display: block;
    opacity: 1;
    transition: all 0.3s linear;
    position: relative;
    z-index: 1;
}

.blog-image:hover>img {
    opacity: 0.5;
    transition: all 0.3s linear;
}

.btn-blog-back {
    margin: 16px 0px;
}

.btn-blog-back:hover {
    transform: skew(-10deg) scale(1.015);
}

.blog-post-home h2 {
    font-size: 1.1rem;
    margin: 24px 8px 16px 8px;
}

.blog-post-home h2::before {left: 0px;}
.blog-post-home h2::after {right: 0px;}

.blog-post-home .blog-post-exp {
    font-size: 0.9rem;
    padding: 8px;
    display: block;
}

/* Sidebar */

.sidebar-widget .widgettitle {
    color: var(--default_font_color);
    font-size: 0.85rem;
    text-transform: uppercase;
    font-weight: 100;
}

.sidebar-widget .widgettitle::after, .sidebar-widget .widgettitle::before {
    background-color: var(--shadow_border);
}

.sidebar-widget ul {
    list-style-type: none;
    padding-left: 0px;
    line-height: 2;
}

.sidebar-widget a {
    color: var(--default_font_color);
}

.sidebar-widget a:hover {
    color: var(--logo_color_red);
}

.sidebar-widget a::before {
    content: '\2794';
    margin-left: 5px;
    margin-right: 10px;
    transition: all 0.3s;
}

.sidebar-widget a:hover::before {
    margin-left: 8px;
    margin-right: 7px;
    transition: all 0.3s;
}

.blog-sidebar-sticky {
    position: sticky;
    top:96px;
}

.admin-bar .blog-sidebar-sticky {
    position: sticky;
    top:128px;
}


/* Zápatí */

footer {
    background-color: var(--color_dark);
    color: var(--color_dark_text_second);
}

footer h2::before, footer h2::after {background-color: var(--logo_color_yellow);}

footer .widgettitle {
    color: var(--color_dark_text);
    font-size: 0.85rem;
    text-transform: uppercase;
    font-weight: 100;
}

.footer_box {
    font-size: 0.9rem;
    color: var(--color_dark_text_second);
    line-height: 1.7;
}

footer .menu, footer .widget_recent_entries ul {
    list-style-type: none;
    padding-left: 0px;
    line-height: 2;
}

footer .widget_nav_menu .menu-item a, footer .widget_recent_entries a, footer a {
    color: var(--color_dark_text);
}

footer .widget_nav_menu .menu-item a:hover, footer .widget_recent_entries a:hover, footer a:hover {
    color: var(--logo_color_yellow);
}

footer .widget_nav_menu .menu-item a::before, footer .widget_recent_entries a::before {
    content: '\2794';
    margin-left: 5px;
    margin-right: 10px;
    transition: all 0.3s;
}

footer .widget_nav_menu .menu-item a:hover::before, footer .widget_recent_entries a:hover::before {
    margin-left: 8px;
    margin-right: 7px;
    transition: all 0.3s;
}

footer a>.social-icon-footer {
    width: 100%;
    max-width: 55px;
    max-height: 55px;
    opacity: 0.4;
    transition: all 0.3s;
}

footer a:hover>.social-icon-footer {
    opacity: 0.9;
    transform: scale(1.1);
    transition: all 0.3s;
}

/* Lightbox */

.light_container {
	z-index: 99989;
	background-color: rgba(0,0,0,0.8);
	cursor: url('../img/cross.svg') 15 15,move;
	position:fixed;
	top:0;
	left:0;
	right:0;
	bottom:0;
	text-align:center;
}

.light_inner {
	z-index: 99990;
	box-shadow: 0 0 40px rgba(8, 21, 66, 0.1);
	cursor: context-menu;
}

.light_container .light_inner {
	position: absolute;
	top:0;
	bottom:0;
	left:0;
	right:0;
	margin:auto;
	display:inline-block !important;
	text-align:center;
	vertical-align:center;
	width:0;
	height:0;
}

.light_container .light_loading {
	background-color:#eee;
	border-radius:5px;
	padding:15px 30px;
	display:inline-block;
}

.light_container .light_error {
	background-color:#ffc4cb;
	border-radius:5px;
	padding:15px 30px;
	display:inline-block;
}

.light_container .light_close {
	width:28px;
	height:28px;
	font-size:0;
	background:url("../img/cross.svg") no-repeat center;
	position:fixed;
	top:10px;
	right:10px;
}

.light_container .light_caption {
	bottom: 0;
	position: absolute;
	width: 100%;
	background-color: #333;
	background: rgba(53,53,53,0.8);
	color: #fff;
}

.light_container .light_caption .light_caption_inner {padding:10px;}

.light_container .light_inner .light_nav {
	display:none;
	position: absolute;
	top: 45%;
	width: 100%;
}

.light_container .light_inner:hover .light_nav {display:block;}

.light_container .light_inner .light_nav .light_prev {
	float: left;
	border-top-right-radius:3px;
	border-bottom-right-radius:3px;
}

.light_container .light_inner .light_nav .light_next {
	float: right;
	border-top-left-radius:3px;
	border-bottom-left-radius:3px;
}

.light_container .light_inner .light_nav a {
	background-color: #fff;
	background:rgba(255,255,255,0.5);
	display:inline-block;
	padding:10px;
	text-decoration:none;
	color:#000;
	font-size:15px;
}

.light_container .light_inner .light_nav a:hover {background:rgba(255,255,255,0.7);}
